package com.ruoyi.iot.service;


import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.iot.domain.TDevicePlan;
import com.ruoyi.iot.domain.dto.TDevicePlanAddNewDTO;
import com.ruoyi.iot.transdata.RpcResult;

/**
 * 处理设备记录仪数据的业务接口
 *
 * @author java@tedu.cn
 * @version 0.0.1
 */
public interface ITDevicePlanService extends IService<TDevicePlan>  {
    /**
     * 添加预约
     *
     * @param tDevicePlanAddNewDTO 添加预约
     */
    void addNew(TDevicePlanAddNewDTO tDevicePlanAddNewDTO);

    /**
     * 检查需要做的
     * @return
     */
    void checkReadyToRun();

    void checkRunSuccess();

    RpcResult cancelPlan(Long planId);


    void runPlanChargeJob(String deviceId,JSONObject object);


    TDevicePlan getPlanInfo(String deviceId, String port, Long userId);
}
